Bug 594714 - [Beaker] [Job Matrix Report] Test column out of order leads to confusion
Summary: [Beaker] [Job Matrix Report] Test column out of order leads to confusion
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Beaker
Classification: Community
Component: web UI
Version: 0.5
Hardware: All
OS: Linux
medium
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL: https://beaker.engineering.redhat.com...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-21 12:32 UTC by Jeff Burke
Modified: 2010-06-02 17:29 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-06-02 17:29:22 UTC


Attachments (Terms of Use)

Description Jeff Burke 2010-05-21 12:32:00 UTC
Description of problem:
 While looking at the Job Matrix Report. The tests are listed in a random order. Test should be listed in the order in which they are run.

Version-Release number of selected component (if applicable):
Version - 0.5.38 

https://beaker.engineering.redhat.com/jobs/795
Looking at the above report. it looks like /kernel/RHEL6/ltp was the first test run. But infact the first test run is alway the /distribution/install test.

Comment 1 Raymond Mancy 2010-05-25 02:16:29 UTC
What happens though when you are doing a matrix on several jobs, where
both jobs have the same tasks but ordered differently?

Comment 2 Jeff Burke 2010-05-26 19:18:37 UTC
Can you sort the test names alphabetically.

Comment 3 Raymond Mancy 2010-05-26 23:18:21 UTC
Yep, that's easy enough.

Comment 5 Bill Peck 2010-06-01 16:15:00 UTC
merged. will be in next release.


Note You need to log in before you can comment on or make changes to this bug.